<form>
    <div>
        <h3>{{titleModal}}</h3>
    </div>
    <div fxLayout="row wrap" fxFlexAlign="center" class="form-row"> 
        
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
            <br>
           
            <mat-form-field dividerColor="primary"> 
                <input matInput [matDatepicker]="picker1" placeholder="Fecha" [formControl]="validateFilters.get('fecha')" #festivo matInput [min]="minDate">
                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                <mat-datepicker #picker1></mat-datepicker>
              </mat-form-field>
        </div>

        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
            <mat-form-field dividerColor="primary">
            <input maxlength="50" [formControl]="validateFilters.get('descripcion')" #descripción matInput placeholder="Descripción" class="" type="text" autocomplete="off">
           </mat-form-field>
        </div>
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col" *ngIf="statusActivated">
            <mat-form-field>
                <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                    <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                        {{option.label}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div align="end">
        <button mat-raised-button color="primary" (click)="action();" type="submit"
        class="space-buttom">Guardar</button>
        <!-- <button mat-raised-button color="primary" (click)="save();" type="submit" class="space-buttom">Guardar</button> -->
        <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
    </div>
</form>